Loading ...
Sorry, an error occurred while loading the content.

294Re: [extremeperl] Better Development Tools for Perl

Expand Messages
  • Curtis Poe
    Jun 6, 2005
      On Jun 6, 2005, at 9:46 AM, Terrence Brannon wrote:

      > I think Perl 6 is the biggest danger to Perl's future. The main
      > thing I don't like about Perl6 is the disdain for backwards
      > compatibility:
      >
      >    ? : is now ?? ::
      >    -> is now .
      >    for's semantics have changed

      There is no disdain for backwards compatibility. This has always been
      one of the biggest concerns of the Perl 6 development team. That is
      why Ponie is being developed with the intention that, in the long run,
      future releases of Perl 5 will run on Parrot. Also, Larry has taken
      some time to start working on a Perl 5 to Perl 6 converter. Rather
      than translating, he's doing it at the bytecode level. A huge amount
      of effort is being exerted to ensure that Perl 5 is still supported
      either via translation or being run directly.

      Cheers,
      Ovid

      [Non-text portions of this message have been removed]
    • Show all 107 messages in this topic